package org.eclipse.jdt.internal.compiler.codegen;

package .tmp;

import org.eclipse.jdt.core.compiler.CharOperation;
import org.eclipse.jdt.internal.compiler.codegen.StackMapFrameCodeStream;

public class ExceptionMarker implements Comparable {
  public char[] constantPoolName;
  
  public int pc;
  
  public ExceptionMarker(int pc, char[] constantPoolName) {
    this.pc = pc;
    this.constantPoolName = constantPoolName;
  }
  
  public int compareTo(Object o) {
    if (o instanceof ExceptionMarker)
      return this.pc - ((ExceptionMarker)o).pc; 
    return 0;
  }
  
  public boolean equals(Object obj) {
    if (obj instanceof ExceptionMarker) {
      ExceptionMarker marker = (ExceptionMarker)obj;
      return (this.pc == marker.pc && CharOperation.equals(this.constantPoolName, marker.constantPoolName));
    } 
    return false;
  }
  
  public int hashCode() {
    return this.pc + this.constantPoolName.hashCode();
  }
  
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer.append('(').append(this.pc).append(',').append(this.constantPoolName).append(')');
    return String.valueOf(buffer);
  }
}
